- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDStartTextSpanOutputElement Class Reference
Inheritance diagram for libvisio::VSDStartTextSpanOutputElement:

## Public Member Functions
| VSDStartTextSpanOutputElement (const WPXPropertyList &propList)
virtual | ~VSDStartTextSpanOutputElement ()
virtual void | draw (libwpg::WPGPaintInterface *painter)
virtual VSDOutputElement * | clone ()
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()

## Private Attributes
WPXPropertyList | m_propList

## Constructor & Destructor Documentation

libvisio::VSDStartTextSpanOutputElement::VSDStartTextSpanOutputElement | ( | const WPXPropertyList & | propList | ) |

Referenced by clone().

virtual libvisio::VSDStartTextSpanOutputElement::~VSDStartTextSpanOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual VSDOutputElement* libvisio::VSDStartTextSpanOutputElement::clone | ( |  | ) |
| inline virtual

Implements libvisio::VSDOutputElement.

void libvisio::VSDStartTextSpanOutputElement::draw | ( | libwpg::WPGPaintInterface * | painter | ) |
| virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

WPXPropertyList libvisio::VSDStartTextSpanOutputElement::m_propList
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp